Subject: bug#52222: 27.2; invalid formatting in edebug-set-consitional-breakpoint interactive history

From: Петров Андрей <[email-masked]>
Date: Wed, 1 Dec 2021 15:54:36 +0000

Hello, Michael.

I described the problem incorrecty. Here is a screenshot.
Last time I set breakpoint  condition (equal x "String string")
The history is ok.

Andrey.

________________________________________
От: Michael Heerdegen <[email-masked]>
Отправлено: 1 декабря 2021 г. 20:08:18
Кому: Петров Андрей
Копия: [email-masked]
Тема: Re: bug#52222: 27.2; invalid formatting in edebug-set-consitional-breakpoint interactive history

Петров Андрей <[email-masked]> writes:

> 1. Instrument some function for debugging
> 2. Goto any line inside that function and set conditional breakpoint using strings in expression:
>   M-x edebug-set-conditional-breakpoint RET (equal some-var "SomeString") RET
> 3. Set a conditional breakpoint again using interactive history:
>  M-x edebug-set-conditional-breakpoint RET [up]
>  I see
>     (equal some-var SomeString)
>  i.e. SomeString turned into a symbol instead of string.

I don't see that - I tested with 27.1 and master.

What I do see is that the confirmation message of edebug looks like the
above (which is a bug) - but only that: the items in the history are
correct.

Michael.